> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memanto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Memories

> Permanently delete several memories by ID.

## Overview

Deletes the memories with the given IDs permanently.

## Authentication

**x-api-key** `string` *required*

Your Memanto Cloud API key (`mk_...`). See [Authentication](https://docs.memanto.ai/cloud/api/introduction.md#authentication).

## Path Parameters

**agent\_id** `string` *required*

The agent's ID.

## Body

**ids** `array` *required*

Memory IDs to delete.

```bash cURL theme={null}
curl -X POST "https://api.memanto.ai/agents/my-agent/memories/delete" \
  -H "x-api-key: $MEMANTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "ids": [
      "3f2a9c1e-\u2026",
      "8d1e\u2026"
    ]
  }'
```

```json 200 - OK theme={null}
{
  "message": "Data deleted successfully",
  "agent_id": "my-agent",
  "deleted_count": 2,
  "requested_count": 2
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.